Debian Bug report logs - #717713
phpmyadmin: setup is broken

version graph

Package: phpmyadmin; Maintainer for phpmyadmin is Thijs Kinkhorst <thijs@debian.org>; Source for phpmyadmin is src:phpmyadmin.

Reported by: Norbert Preining <preining@logic.at>

Date: Wed, 24 Jul 2013 05:03:02 UTC

Severity: grave

Tags: sid

Found in version phpmyadmin/4:4.0.4.1-1

Fixed in version phpmyadmin/4:4.0.4.1-2

Done: Thijs Kinkhorst <thijs@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, preining@logic.at, Thijs Kinkhorst <thijs@debian.org>:
Bug#717713; Package phpmyadmin. (Wed, 24 Jul 2013 05:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Norbert Preining <preining@logic.at>:
New Bug report received and forwarded. Copy sent to preining@logic.at, Thijs Kinkhorst <thijs@debian.org>. (Wed, 24 Jul 2013 05:03:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@logic.at>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: phpmyadmin: setup is broken
Date: Wed, 24 Jul 2013 13:58:04 +0900
Package: phpmyadmin
Version: 4:4.0.4.1-1
Severity: grave
Justification: renders package unusable

Dear all,

it seems that something is going wrong during installation of phpmyadmin:
I cannot configure it:
Setting up phpmyadmin (4:4.0.4.1-1) ...
dbconfig-common: writing config to /etc/dbconfig-common/phpmyadmin.conf
Replacing config file /etc/phpmyadmin/config-db.php with new version
granting access to database phpmyadmin for phpmyadmin@localhost: already exists.
creating database phpmyadmin: already exists.
populating database via sql...  done.
dbconfig-common: flushing administrative password
apache2-maintscript-helper invoked from a modified environment. Please hint required arguments manually
dpkg: error processing phpmyadmin (--configure):
 subprocess installed post-installation script returned error exit status 1
Errors were encountered while processing:
 phpmyadmin
...

It sems that the 
	apache2-maintscript-helper invoked from a modified environment. Please hint required arguments manually
is the problem.

Anyway, even repeated dpkg --configure -a does not work

Thanks

Norbert



-- System Information:
Debian Release: jessie/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (200, 'experimental')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 3.10-1-amd64 (SMP w/8 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages phpmyadmin depends on:
ii  dbconfig-common           1.8.47+nmu1
ii  debconf [debconf-2.0]     1.5.50
ii  libapache2-mod-php5       5.5.1+dfsg-1
ii  libjs-codemirror          2.23-1
ii  libjs-jquery              1.7.2+dfsg-2
ii  libjs-jquery-cookie       8-2
ii  libjs-jquery-event-drag   8-2
ii  libjs-jquery-mousewheel   8-2
ii  libjs-jquery-tablesorter  8-2
ii  libjs-jquery-ui           1.10.1+dfsg-1
ii  libjs-underscore          1.4.4-2
ii  perl                      5.14.2-21
ii  php-gettext               1.0.11-1
ii  php5                      5.5.1+dfsg-1
ii  php5-json                 1.3.1+dfsg-1
ii  php5-mcrypt               5.5.1+dfsg-1
ii  php5-mysql                5.5.1+dfsg-1
ii  ttf-dejavu-core           2.33+svn2514-3
ii  ucf                       3.0027+nmu1

Versions of packages phpmyadmin recommends:
ii  apache2                          2.4.6-2
ii  apache2-bin [httpd]              2.4.6-2
ii  mysql-client                     5.5.31+dfsg-1
ii  mysql-client-5.5 [mysql-client]  5.5.31+dfsg-1
ii  php5-gd                          5.5.1+dfsg-1

Versions of packages phpmyadmin suggests:
ii  chromium [www-browser]          28.0.1500.71-2
ii  epiphany-browser [www-browser]  3.4.2-2.1
ii  iceweasel [www-browser]         22.0-1
ii  konqueror [www-browser]         4:4.10.5-1
ii  lynx-cur [www-browser]          2.8.8dev.15-2
ii  midori [www-browser]            0.4.3+dfsg-0.1
ii  mysql-server                    5.5.31+dfsg-1
ii  netsurf-gtk [www-browser]       2.9-2
ii  w3m [www-browser]               0.5.3-8

-- debconf information:
  phpmyadmin/remove-error: abort
  phpmyadmin/setup-username: admin
  phpmyadmin/db/app-user: phpmyadmin
  phpmyadmin/install-error: retry
* phpmyadmin/reconfigure-webserver: apache2
  phpmyadmin/remote/host:
* phpmyadmin/dbconfig-install: true
  phpmyadmin/remote/port:
  phpmyadmin/dbconfig-upgrade: true
  phpmyadmin/mysql/admin-user: root
  phpmyadmin/internal/reconfiguring: false
  phpmyadmin/missing-db-package-error: abort
  phpmyadmin/remote/newhost:
  phpmyadmin/upgrade-error: abort
  phpmyadmin/dbconfig-reinstall: false
  phpmyadmin/db/dbname: phpmyadmin
  phpmyadmin/database-type: mysql
  phpmyadmin/internal/skip-preseed: false
  phpmyadmin/upgrade-backup: true
  phpmyadmin/dbconfig-remove:
  phpmyadmin/passwords-do-not-match:
  phpmyadmin/mysql/method: unix socket
  phpmyadmin/purge: false



Added tag(s) sid. Request was from Thijs Kinkhorst <thijs@debian.org> to control@bugs.debian.org. (Sun, 28 Jul 2013 08:58:16 GMT) Full text and rfc822 format available.

Reply sent to Thijs Kinkhorst <thijs@debian.org>:
You have taken responsibility. (Sun, 28 Jul 2013 09:51:08 GMT) Full text and rfc822 format available.

Notification sent to Norbert Preining <preining@logic.at>:
Bug acknowledged by developer. (Sun, 28 Jul 2013 09:51:08 GMT) Full text and rfc822 format available.

Message #12 received at 717713-close@bugs.debian.org (full text, mbox):

From: Thijs Kinkhorst <thijs@debian.org>
To: 717713-close@bugs.debian.org
Subject: Bug#717713: fixed in phpmyadmin 4:4.0.4.1-2
Date: Sun, 28 Jul 2013 09:48:34 +0000
Source: phpmyadmin
Source-Version: 4:4.0.4.1-2

We believe that the bug you reported is fixed in the latest version of
phpmyadmin, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 717713@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Thijs Kinkhorst <thijs@debian.org> (supplier of updated phpmyadmin package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 28 Jul 2013 10:56:04 +0200
Source: phpmyadmin
Binary: phpmyadmin
Architecture: source all
Version: 4:4.0.4.1-2
Distribution: unstable
Urgency: medium
Maintainer: Thijs Kinkhorst <thijs@debian.org>
Changed-By: Thijs Kinkhorst <thijs@debian.org>
Description: 
 phpmyadmin - MySQL web administration tool
Closes: 717713
Changes: 
 phpmyadmin (4:4.0.4.1-2) unstable; urgency=medium
 .
   * post{inst,rm}: drop first argument to install_apache(), because that
     confuses apache2-maintscript-helper and it isn't used anymore anyway.
     (closes: #717713).
   * Drop xz compression for deb again, it's now the dpkg default.
Checksums-Sha1: 
 5c2336776623c08615d42bd33f1de3bcae1febb7 1572 phpmyadmin_4.0.4.1-2.dsc
 7cff94da3a74331adfe876ca4b56e8655a58d438 52289 phpmyadmin_4.0.4.1-2.debian.tar.gz
 e17424a4b32b09152afd1b141fb1e63f1f79a3b7 4077018 phpmyadmin_4.0.4.1-2_all.deb
Checksums-Sha256: 
 b5e1fbe0647866b4a9087108b023ee6b58aae9b52482ef6d3184b2a3368f76bf 1572 phpmyadmin_4.0.4.1-2.dsc
 9eafab07c7fad8dffa638910107944e6e2ce750ef460963a7835849174dbc4ba 52289 phpmyadmin_4.0.4.1-2.debian.tar.gz
 6296482505146de7801f67c694f50c18e0c04a7bc77383c6bf4e6055daaf582f 4077018 phpmyadmin_4.0.4.1-2_all.deb
Files: 
 e71cfd436238f58ac31fb91a873cdce9 1572 web extra phpmyadmin_4.0.4.1-2.dsc
 676efe05336b1355b953ac1f3ec03737 52289 web extra phpmyadmin_4.0.4.1-2.debian.tar.gz
 248077efdfa6355bfbfc00ef6a2cb0b3 4077018 web extra phpmyadmin_4.0.4.1-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.14 (GNU/Linux)

iQEcBAEBAgAGBQJR9ObTAAoJEFb2GnlAHawEy7EH/iH1LFXLFpbXsmHgi5mZrmDk
Lf8uAn6J5a/IXzhyIfj6/uGxSJxP378VoPtihVUKybPgRytAThf06gw31JPM29oS
E5r4EIJRwz3hcGfpnVOTanen7Wd8bH3WMkzybpjQz7+Pl7cdei5n6KwyzFUSb4wZ
7H3sy4sisc4XKUKqOcBltgPghgnOK8glLd1Hhh30klv0Hq/gULXLEXw/UuBQNnfz
RsKF2ixSi7quLe9ZvTi2w54Ighiz4BeTqgTFI/MD7rZE8zwymHN3r3srwbM6JbX1
Kmq4JHSA42me/m5Ywnp7d62rZDyhcVi5GYX07aRj4IBgAy5sG9ZoUBXt0KTGMw8=
=98v7
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 26 Aug 2013 07:27:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 12:54:29 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.